Package org.jboss.resteasy.client.jaxrs.internal.proxy

## Class ProxyBuilderImpl<T>

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.ProxyBuilder<T>
  - - org.jboss.resteasy.client.jaxrs.internal.proxy.ProxyBuilderImpl<T>

-     public class ProxyBuilderImpl<T>
      extends ProxyBuilder<T>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `ProxyBuilderImpl.DelegateClassLoader` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyBuilderImpl​(Class<T> iface, javax.ws.rs.client.WebTarget webTarget)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `build()` |
    `T` | `build​(ProxyConfig config)` |
    `ProxyBuilderImpl<T>` | `classloader​(ClassLoader cl)` |
    `ProxyBuilderImpl<T>` | `defaultConsumes​(String type)` |
    `ProxyBuilderImpl<T>` | `defaultConsumes​(javax.ws.rs.core.MediaType type)` |
    `ProxyBuilderImpl<T>` | `defaultProduces​(String type)` |
    `ProxyBuilderImpl<T>` | `defaultProduces​(javax.ws.rs.core.MediaType type)` |

    - ### Methods inherited from class org.jboss.resteasy.client.jaxrs.ProxyBuilder

      `builder, proxy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyBuilderImpl

          public ProxyBuilderImpl​(Class<T> iface,
                                  javax.ws.rs.client.WebTarget webTarget)

  - ### Method Detail

    - #### classloader

          public ProxyBuilderImpl<T> classloader​(ClassLoader cl)

      Specified by:
        `classloader` in class `ProxyBuilder<T>`

    - #### defaultProduces

          public ProxyBuilderImpl<T> defaultProduces​(javax.ws.rs.core.MediaType type)

      Specified by:
        `defaultProduces` in class `ProxyBuilder<T>`

    - #### defaultConsumes

          public ProxyBuilderImpl<T> defaultConsumes​(javax.ws.rs.core.MediaType type)

      Specified by:
        `defaultConsumes` in class `ProxyBuilder<T>`

    - #### defaultProduces

          public ProxyBuilderImpl<T> defaultProduces​(String type)

      Specified by:
        `defaultProduces` in class `ProxyBuilder<T>`

    - #### defaultConsumes

          public ProxyBuilderImpl<T> defaultConsumes​(String type)

      Specified by:
        `defaultConsumes` in class `ProxyBuilder<T>`

    - #### build

          public T build()

      Specified by:
        `build` in class `ProxyBuilder<T>`

    - #### build

          public T build​(ProxyConfig config)

      Specified by:
        `build` in class `ProxyBuilder<T>`